Subject: Re: [PATCH] ax25.h unsigned long type for ax25 timers

From: Bernard Pidoux <[email-masked]>
Date: Thu, 19 Jun 2008 18:28:46 +0200

David,

Unfortunately I don't quite understand exactly why a structure in user 
space cannot be changed.
But this means that I have to make some effort to learn a bit more about 
the kernel structure and userspace.
However, thank you for your explanation about how to fix the discrepancy 
between both timer structures.
I will try to dig out more information on this subject.

Bernard Pidoux, f6bvp

David Miller a écrit :
> From: Bernard Pidoux <[email-masked]>
> Date: Tue, 17 Jun 2008 15:04:38 +0200
>
>   
>> In linux/include/linux/ax25.h
>> ax25_info_struct timers types remain unsigned
>>
>> struct ax25_info_struct {
>> 	unsigned int	n2, n2count;
>> 	unsigned int	t1, t1timer;
>> 	unsigned int	t2, t2timer;
>> 	unsigned int	t3, t3timer;
>> 	unsigned int	idle, idletimer;
>>         .....
>> };
>>
>> while in linux/include/net/ax25.h timers are unsigned long according
>> to kernel 2.6 timers.
>>
>> typedef struct ax25_cb {
>>         .....
>>         struct timer_list       t1timer, t2timer, t3timer, idletimer;
>>         unsigned long           t1, t2, t3, idle, rtt;
>>         ....
>>
>> Although ax25_info_struct is not much used it is refered at least
>> into libax25 and xfbb BBS application program.
>>
>> It seems thus reasonable to make the change.
>>
>> Signed-off-by: Bernard Pidoux <[email-masked]>
>>     
>
> Unfortunately this datastructure is exported to userspace,
> and therefore we cannot change the structure layout without
> breaking userspace.
>
> We cannot, as a result, make this change.
>
> The only way to fix this is to make a new fixed structure, and add new
> ax25 calls that accept this new structure.
>
>
>   

--
To unsubscribe from this list: send the line "unsubscribe linux-hams" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html